mssql_query
mssql_rows_affected
Mssql Functions
PHP Manual

# mssql_result

(PHP 4, PHP 5, PECL odbtp >= 1.1.1)

mssql_result — Get result data

### Description

string mssql_result ( resource `$result` , int `$row` , mixed `$field` )

mssql_result() returns the contents of one cell from a MS SQL result set.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

`row`

  The row number.

`field`

  Can be the field's offset, the field's name or the field's table dot field's name (tablename.fieldname). If the column name has been aliased ('select foo as bar from...'), it uses the alias instead of the column name.

  > Note:

  > Specifying a numeric offset for the `field` argument is much quicker than specifying a fieldname or tablename.fieldname argument.

### Return Values

Returns the contents of the specified cell.

### Examples

Example #1 mssql_result() example

`<?php
// Send a select query to MSSQL
$query = mssql_query('SELECT [username] FROM [php].[dbo].[userlist]');
// Check if there were any records
if (!mssql_num_rows($query)) {
echo 'No records found';
} else {
for ($i = 0; $i < mssql_num_rows($query); ++$i) {
echo mssql_result($query, $i, 'username'), PHP_EOL;
}
}
// Free the query result
mssql_free_result($query);
?>`

The above example will output something similar to:

    Kalle
    Felipe
    Emil
    Ross

Example #2 Faster alternative to above example

`<?php
// Send a select query to MSSQL
$query = mssql_query('SELECT [username] FROM [php].[dbo].[userlist]');
// Check if there were any records
if (!mssql_num_rows($query)) {
echo 'No records found';
} else {
while ($row = mssql_fetch_array($query)) {
echo $row['username'], PHP_EOL;
}
}
// Free the query result
mssql_free_result($query);
?>`

### Notes

> Note:

> When working on large result sets, you should consider using one of the functions that fetch an entire row (specified below). As these functions return the contents of multiple cells in one function call, they're MUCH quicker than mssql_result().

### See Also

Recommended high-performance alternatives:

- mssql_fetch_row() - Get row as enumerated array
- mssql_fetch_array() - Fetch a result row as an associative array, a numeric array, or both
- mssql_fetch_assoc() - Returns an associative array of the current row in the result
- mssql_fetch_object() - Fetch row as object

mssql_query
mssql_rows_affected
Mssql Functions
PHP Manual